import { createRouter, createWebHistory } from 'vue-router'
import BudgetSidebar from '../pages/BudgetSidebar.vue';
import Dashboard from '../pages/Dashboard.vue';
import Login from '../pages/Login.vue';
import Register from '../pages/Register.vue';

const routes = [
  { path: '/', name: 'Index', component: Dashboard },
  { path: '/dashboard', name: 'Dashboard', component: Dashboard },
  { path: '/login', name: 'Login', component: Login },
  { path: '/register', name: 'Register', component: Register },
  { path: '/budget/:budgetid',  name: 'Budget', components: {default: Dashboard, sidebar: BudgetSidebar}, props: true },
]

const router = createRouter({
  history: createWebHistory(),
  routes,
})

export default router